Skip to main content
POST
/
custodians
/
me
/
alerts
/
wallets
/
format
Format a raw alert webhook event (deprecated)
curl --request POST \
  --url https://api.portalhq.io/api/v3/custodians/me/alerts/wallets/format \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "chain": "eip155",
  "rawAlert": "{\"...\"}"
}
'
{
  "chainName": "sepolia",
  "chainId": "eip155:11155111",
  "from": "0xf428e1f82f18de15ef2861a4bdde42e755998ece",
  "to": "0xdfd8302f44727a6348f702ff7b594f127de3a902",
  "amount": "0.001",
  "tokenSymbol": "USDC",
  "assetType": "NON_NATIVE_TOKEN",
  "direction": "OUTBOUND",
  "metadata": {
    "confirmed": true,
    "rawAmount": "1000",
    "tokenDecimals": "6",
    "tokenAddress": "0x1c7d4b196cb0c7b01d743fbc6116a902379c7238",
    "tokenName": "USDC",
    "sentAt": "2024-09-06T20:30:24.000Z",
    "transactionHash": "0x229c1cc8ed898fae917e0ed90af94c624015e53a790eda1a7d30b1ca2ffd916c",
    "blockNumber": "6645168"
  }
}

Authorizations

Authorization
string
header
required

Portal API Key (Custodian API Key). Pass as a Bearer token in the Authorization header.

Body

application/json
chain
string
required

The chain the raw webhook event is from (e.g. "eip155").

rawAlert
string
required

The stringified raw webhook event.

Response

Alert formatted successfully

chainName
string
chainId
string
from
string
to
string
amount
string
tokenSymbol
string
assetType
string
direction
string
metadata
object